Bug 81606 - mouse cursor with shadow hard to see
Summary: mouse cursor with shadow hard to see
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: phoebe
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-11 00:26 UTC by Pam Huntley
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-17 01:42:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pam Huntley 2003-01-11 00:26:34 UTC
Description of problem:
while the new mouse cursor with the drop shadow is very cool, it makes it very
hard for me to tell exactly where my cursor is, which means it's hard for me to
click on anything.  Is there any way to turn this feature off?  I looked in
several of the panels (mouse, display, accessiblity) and couldn't find any way
to turn it off.  Changing the mouse cursor to a large, hi-rez cursor doesn't
help either, as it doesn't work.

Comment 1 Peter van Egdom 2003-01-11 17:01:08 UTC
If you want to have the 'old' mouse cursor back, go to the directory
"/usr/X11R6/lib/X11/icons/default/" and comment out the second line in the file
"index.theme", like this :

   [Icon Theme]
   #Inherits=whiteglass

If you look in the directory "/usr/X11R6/lib/X11/icons/" you see other 'mouse
icons' available. You can select another theme by editing the "index.theme" file
and instead of having 'whiteglass' you can have, for example, 'redglass' which
gets you a red cursor.

Red Hat will probably ship some tool for choosing your mouse cursor together
with some new, nicer looking, mouse cursors in the next beta.

Comment 2 Mike A. Harris 2003-01-17 01:42:08 UTC
The new color mouse pointer themes in XFree86 are just placeholders that
were designed by the XFree86.org author of the new mouse cursor code of whom
is a self professed non-artist.

The cursors are not going to be shipped in the final release.  Red Hat
has a graphic artist whom is designing real cursors for X for the final
release.

In order to disable the cursor, do as above, or put the following in
your ~/.bash_profile :

export XCURSOR_CORE=1




Note You need to log in before you can comment on or make changes to this bug.